National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-0422 Detail

Description

Dynamic variable evaluation vulnerability in lists/admin.php in phpList 2.10.8 and earlier, when register_globals is disabled, allows remote attackers to include and execute arbitrary local files via directory traversal sequences in the _SERVER[ConfigFile] parameter to admin/index.php.

Source:  MITRE      Last Modified:  02/04/2009

Evaluator Description

Register Globals are disabled by default, so this will not increase access complexity.

Quick Info

CVE Dictionary Entry:
CVE-2009-0422
Original release date:
02/04/2009
Last revised:
09/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
7.5 HIGH
Vector:
(AV:N/AC:L/Au:N/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Provides unauthorized access, Allows partial confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://www.bugreport.ir/index_60.htm Exploit External Source MISC http://www.bugreport.ir/index_60.htm
http://www.securityfocus.com/archive/1/archive/1/500057/100/0/threaded Exploit External Source BUGTRAQ 20090114 phpList <= 2.10.8 Local File inclusion
https://exchange.xforce.ibmcloud.com/vulnerabilities/47945 External Source XF phplist-indexphp-file-include(47945)
https://www.exploit-db.com/exploits/7778 External Source EXPLOIT-DB 7778

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:tincan:phplist:1.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.2b:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.3b:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.4b:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.5b:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.6:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.1.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.3.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.3.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.4.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.5.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.5.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.6.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.6.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.6.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.6.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.7.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.7.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.8.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.9.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.9.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.9.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:1.9.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.1.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.1.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.1.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.1.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.2.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.2.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.3.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.3.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.3.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.3.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.3.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.4.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.4.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.6:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.5.8:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.0:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.6.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.7.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.7.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.8.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.8.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.8.12:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.9.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.9.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.9.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.1:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.2:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.3:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.4:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.5:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.6:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:2.10.7:*:*:*:*:*:*:*
cpe:2.3:a:tincan:phplist:*:*:*:*:*:*:*:*    versions up to (including) 2.10.8

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 3 change records found - show changes